/* CONTRACT
 * convertType :: string -> type
 * PURPOSE
 * Makes our life a little easier; allows us to specify 
 * a type by name, and returns the actual type for that 
 * name.
 */
function convertType(type) {

    if((type == "int") ||
       (type == "integer") ||
       (type == "number")) {
        return java.lang.Integer.TYPE;
    }

    if((type == "str") ||
       (type == "string") || 
       (type == "String")) {
        return java.lang.String;
    }
    
    return null;
}


/* CONTRACT
 * hasConstructor :: string array(string) -> boolean
 * PURPOSE
 * Checks to see if a class, defined in BlueJ, has a constructor
 * that matches the type signature provided. If called with an 
 * empty array as the second argument, it will always return true,
 * as all classes have a default constructor.
 */
function hasConstructor(theClass, typeArray) {
    found = false;
    pkg = bluej.getCurrentPackage();

    classArray = new Array();
    for(i = 0 ; i < typeArray.length ; i++) {
        classArray[i] = convertType(typeArray[i]);
    }
    
    classRef = pkg.getBClass(theClass);
    
    if(classRef.getConstructor(classArray) != null) {
        //print("ClassRef: " + classRef);
        return true;
    } 

    return false;
 
}
        

